Package org.apache.commons.configuration2

## Class PropertiesConfiguration.JupPropertiesWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.FilterWriter
    - - org.apache.commons.configuration2.PropertiesConfiguration.PropertiesWriter
      - - org.apache.commons.configuration2.PropertiesConfiguration.JupPropertiesWriter

- All Implemented Interfaces:
    `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`
  Enclosing class:
    PropertiesConfiguration

      public static class PropertiesConfiguration.JupPropertiesWriter
      extends PropertiesConfiguration.PropertiesWriter

  A `PropertiesConfiguration.PropertiesWriter` that tries to mimic the behavior of `Properties`.
  Since:
    2.4

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterWriter

      `out`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JupPropertiesWriter​(Writer writer, ListDelimiterHandler delHandler, boolean escapeUnicode)` | Creates a new instance of `JupPropertiesWriter`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.configuration2.PropertiesConfiguration.PropertiesWriter

      `escapeKey, fetchSeparator, getCurrentSeparator, getDelimiterHandler, getGlobalSeparator, getLineSeparator, setCurrentSeparator, setGlobalSeparator, setLineSeparator, writeComment, writeln, writeProperty, writeProperty, writeProperty`

    - ### Methods inherited from class java.io.FilterWriter

      `close, flush, write, write, write`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, nullWriter, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JupPropertiesWriter

          public JupPropertiesWriter​(Writer writer,
                                     ListDelimiterHandler delHandler,
                                     boolean escapeUnicode)

      Creates a new instance of `JupPropertiesWriter`.
      Parameters:
        `writer` - a Writer object providing the underlying stream
        `delHandler` - the delimiter handler for dealing with properties with multiple values
        `escapeUnicode` - whether Unicode characters should be escaped using Unicode escapes